PO4A-TRANSLATE.1P(1)

NAME
po4a-translate - konvertiert eine PO-Datei zurück ins Dokumentationsformat

ÜBERSICHT
po4a-translate -f fmt -m Master.dok -p XX.po -l XX.dok

(XX.dok ist die Ausgabe, alles andere sind Eingaben)

BESCHREIBUNG
Das Projektziel von Po4a (PO für alles) ist es, die Übersetzung (und interessanter, die Wartung der Übersetzung) zu vereinfachen, indem die Gettext-Werkzeuge auch für Gebiete verwendet werden, wo diese nicht erwartet werden, wie Dokumentation.

Das Skript po4a-translate ist dafür zuständig, die Übersetzung (die in einer PO-Datei erfolgte) zurück in das Dokumentationsformat zu wandeln. Die bereitgestellte PO-Datei sollte die Übersetzung einer POT-Datei sein, die mittels po4a-gettextize(1) erstellt wurde.

OPTIONEN

-f, --format
    Format der Dokumentation, mit der Sie arbeiten möchten. Verwenden Sie die Option --help-format, um eine Liste der verfügbaren Formate zu erhalten.

-a, --addendum
    Fügt eine Datei zu der entstehenden Datei hinzu (um beispielsweise den Namen des Übersetzers oder einen Abschnitt »Über diese Übersetzung« hinzuzufügen). Die erste Zeile der einzufügenden Datei sollte eine PO4A-Kopfzeile sein, die angibt, wo der Inhalt eingefügt werden soll (lesen Sie den Abschnitt HOWTO: Wie wird zusätzlicher Text zu Übersetzungen hinzugefügt in po4a(7)).

-A, --addendum-charset
    Zeichensatz der Addenda. Beachten Sie, dass alle Addenda im gleichen Zeichensatz vorliegen sollten.

-m, --master
    Datei, die das zu übersetzende Master-Dokument enthält.

-M, --master-charset
    Zeichensatz der Datei, die das zu übersetzende Dokument enthält.

-l, --localized
    Datei, in die das lokalisierte (übersetzte) Dokument geschrieben werden soll.

-L, --localized-charset
    Zeichensatz der Datei, die das lokalisierte Dokument enthält.

-p, --po
    Datei, aus der der Nachrichtenkatalog gelesen werden soll.

-o, --option
    Extraoption(en), die an die Formaterweiterung übergeben werden soll. Lesen Sie die Dokumentation jeder Erweiterung für weitere Informationen über die gültigen Optionen und ihre Bedeutungen. Beispielsweise könnten Sie dem AsciiDoc-Auswerter »-o tablecells« übergeben, während der Text-Auswerter »-o tabs=split« akzeptierte.

-k, --keep
    Minimaler Schwellwert in Prozent, ab der die übersetzte Datei erhalten (d.h. geschrieben) wird, standardmäßig 80. D.h., standardmäßig müssen Dateien zu 80% übersetzt sein, um geschrieben zu werden.

-w, --width
    Spalte, an der die entstandene Datei umgebrochen werden soll, falls das Format dies unterstützt (Vorgabe: 76). Falls der angegebene Wert 0 oder negativ ist, dann wird die entstandene Datei nicht umgebrochen. Dies ist für einige Formate nützlich, die beim Umbruch beschädigt werden könnten.

-h, --help
    zeigt eine kurze Hilfemeldung an

--help-format
    die von Po4a verstandenen Dokumentationsformate auflisten

-V, --version
    zeigt die Version des Skripts und beendet sich

-v, --verbose
    Erhöhen der Ausführlichkeit des Programms

-d, --debug
    Fehlersuch- (Debug-)Informationen ausgeben

Inhalte (neben den Übersetzungen) zu erstellten Dateien hinzufügen
Um neben der eigentlichen Übersetzung zusätzliche Inhalte zum erstellten Dokument hinzuzufügen (wie den Namen des Übersetzers oder einen Abschnitt »Über diese Übersetzung«) sollten Sie die Option --addendum verwenden.

Die erste Zeile des Addendums muss eine Kopfzeile sein, die angibt, wo im Dokument das Addendum eingefügt werden soll (dies kann vor oder nach einem bestimmten Teil des Dokuments sein). Der Rest der Datei wird unverändert zu der entstehenden Datei ohne weitere Bearbeitung hinzugefügt.

Beachten Sie, dass Po4a die gesamte Übersetzung verwerfen wird, falls eine der angegebenen Dateien nicht hinzugefügt werden konnte (da die fehlende Datei Informationen über den Autor enthalten könnte und somit den Benutzer davon abhalten könnte, Fehler in der Übersetzung zu berichten).

Diese Kopfzeile hat eine ziemlich starre Syntax. Für weitere Informationen zur Nutzung dieser Funktionalität und deren Funktionsweise lesen Sie die Handbuchseite po4a(7).

SIEHE AUCH
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTOREN
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

URHEBERRECHT UND LIZENZ
Copyright 2002-2023 SPI, Inc.

Dieses Programm ist freie Software; Sie können es unter den Bedingungen der GPL v2.0 oder neuer (siehe die Datei COPYING) vertreiben und/oder verändern.